GET api/departmentItemapi/departmentItem/{id}
Request Information
URI Parameters
| Name | Description | Type | Additional information |
|---|---|---|---|
| id | globally unique identifier |
Required |
Body Parameters
None.
Response Information
Resource Description
DepartmentItemViewModel| Name | Description | Type | Additional information |
|---|---|---|---|
| item_code | string |
None. |
|
| item_descriptions | Dictionary of string [key] and string [value] |
None. |
|
| selected_sticker_id | globally unique identifier |
None. |
|
| selected_nameplate_id | globally unique identifier |
None. |
|
| active | boolean |
Required |
|
| department_id | globally unique identifier |
Required |
|
| id | globally unique identifier |
None. |
|
| physical_item_id | globally unique identifier |
None. |
|
| service_item_id | globally unique identifier |
None. |
|
| item_wash_max | integer |
None. |
|
| quantity | integer |
None. |
Response Formats
application/json, text/json
Sample:
{
"item_code": "sample string 1",
"item_descriptions": {
"sample string 1": "sample string 2",
"sample string 3": "sample string 4"
},
"selected_sticker_id": "af68e5ce-d1cd-4c5a-96b9-36ac0687d436",
"selected_nameplate_id": "d77564bc-fd1a-434e-92f5-6b1dd4be56d1",
"active": true,
"department_id": "70658512-c71b-42de-821a-8becef78c64d",
"id": "710b3afb-0b4b-4364-acf0-44a6a3cff6ab",
"physical_item_id": "5c49e6f9-6f07-422f-bb92-249bb77af446",
"service_item_id": "6c6577c4-1367-4d96-a34a-f6e1f28d92ba",
"item_wash_max": 1,
"quantity": 1
}
application/xml, text/xml
Sample:
<department_item xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/EntityModel">
<active>true</active>
<department_id>70658512-c71b-42de-821a-8becef78c64d</department_id>
<id>710b3afb-0b4b-4364-acf0-44a6a3cff6ab</id>
<item_wash_max>1</item_wash_max>
<physical_item_id>5c49e6f9-6f07-422f-bb92-249bb77af446</physical_item_id>
<quantity>1</quantity>
<service_item_id>6c6577c4-1367-4d96-a34a-f6e1f28d92ba</service_item_id>
<item_code>sample string 1</item_code>
<item_descriptions xmlns:d2p1="http://schemas.microsoft.com/2003/10/Serialization/Arrays">
<d2p1:KeyValueOfstringstring>
<d2p1:Key>sample string 1</d2p1:Key>
<d2p1:Value>sample string 2</d2p1:Value>
</d2p1:KeyValueOfstringstring>
<d2p1:KeyValueOfstringstring>
<d2p1:Key>sample string 3</d2p1:Key>
<d2p1:Value>sample string 4</d2p1:Value>
</d2p1:KeyValueOfstringstring>
</item_descriptions>
<selected_nameplate_id>d77564bc-fd1a-434e-92f5-6b1dd4be56d1</selected_nameplate_id>
<selected_sticker_id>af68e5ce-d1cd-4c5a-96b9-36ac0687d436</selected_sticker_id>
</department_item>